Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.propono.atom.server
Class AtomNotAuthorizedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sun.syndication.propono.atom.server.AtomException
                  com.sun.syndication.propono.atom.server.AtomNotAuthorizedException

All Implemented Interfaces:
  Serializable

    public class AtomNotAuthorizedException

extends AtomException

Exception to be thrown by `AtomHandler` implementations in the case that a user is not authorized to access a resource.

See Also:
  Serialized Form

Constructor Summary
`AtomNotAuthorizedException()` Construct new exception
`AtomNotAuthorizedException(String msg)` Construct new exception with message
`AtomNotAuthorizedException(String msg, Throwable t)` Construct new exception with message and root cause
`AtomNotAuthorizedException(Throwable t)` Construct new exception to wrap root cause

Method Summary
`int` | `getStatus()` Get HTTP status code of exception (HTTP 403 unauthorized)

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AtomNotAuthorizedException

    public AtomNotAuthorizedException()

  Construct new exception

### AtomNotAuthorizedException

    public AtomNotAuthorizedException(String msg)

  Construct new exception with message

### AtomNotAuthorizedException

    public AtomNotAuthorizedException(String msg,
                                      Throwable t)

  Construct new exception with message and root cause

### AtomNotAuthorizedException

    public AtomNotAuthorizedException(Throwable t)

  Construct new exception to wrap root cause

Method Detail

### getStatus

    public int getStatus()

  Get HTTP status code of exception (HTTP 403 unauthorized)

  Overrides:
    `getStatus` in class `AtomException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD